SolrDocument::offsetExists
SolrDocument::offsetSet
SolrDocument
PHP Manual

# SolrDocument::offsetGet

(PECL solr >= 0.9.2)

SolrDocument::offsetGet — Retrieves a field

### Description

public SolrDocumentField SolrDocument::offsetGet ( string `$fieldName` )

This is used to retrieve the field when the object is treated as an array.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns a SolrDocumentField object.

SolrDocument::offsetExists
SolrDocument::offsetSet
SolrDocument
PHP Manual